#ifndef F_CPU
#define F_CPU (20000000 / 6)
#endif

#include <avr/io.h>
#include <avr/interrupt.h>

#include <util/delay.h>




void LED_on(void)
{
	PORTB.OUTSET = PIN4_bm;
}



void LED_off(void)
{
	PORTB.OUTCLR = PIN4_bm;
}



int main(void)
{
	uint8_t count;

	PORTB.DIR = PIN4_bm;

	// Initialization of peripherals
	
	// Enable Global interrupt using intrinsic function 
	
	for(count = 0; count < 5; count++)
	{
		LED_on();
		_delay_ms(100);
		LED_off();
		_delay_ms(100);
	}

	asm("jmp 0x800");
}


